# GetVersion200Response

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Version** | Pointer to **string** | The version of Ory Hydra. | [optional] 

## Methods

### NewGetVersion200Response

`func NewGetVersion200Response() *GetVersion200Response`

NewGetVersion200Response instantiates a new GetVersion200Response object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewGetVersion200ResponseWithDefaults

`func NewGetVersion200ResponseWithDefaults() *GetVersion200Response`

NewGetVersion200ResponseWithDefaults instantiates a new GetVersion200Response object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetVersion

`func (o *GetVersion200Response) GetVersion() string`

GetVersion returns the Version field if non-nil, zero value otherwise.

### GetVersionOk

`func (o *GetVersion200Response) GetVersionOk() (*string, bool)`

GetVersionOk returns a tuple with the Version field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetVersion

`func (o *GetVersion200Response) SetVersion(v string)`

SetVersion sets Version field to given value.

### HasVersion

`func (o *GetVersion200Response) HasVersion() bool`

HasVersion returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


